Package com.independentsoft.office.odf.charts

# Class Subtitle

java.lang.Object
com.independentsoft.office.odf.charts.Subtitle

All Implemented Interfaces:
  `IContentElement`

public class Subtitle extends Object implements IContentElement
Represents a subtitle for a chart.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Subtitle()`
  Initializes a new instance of the Subtitle class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Subtitle`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getCellRange()`
  Gets a list of ranges of cells.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `Paragraph`
  `getParagraph()`
  Gets the paragraph.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `String`
  `getStyle()`
  Gets name that reference style mechanisms.
  `Size`
  `getX()`
  Gets the X coordinate of subtitle.
  `Size`
  `getY()`
  Gets the Y coordinate of subtitle.
  `void`
  `setCellRange​(String cellRange)`
  Sets a list of ranges of cells.
  `void`
  `setParagraph​(Paragraph paragraph)`
  Sets the paragraph.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `void`
  `setStyle​(String style)`
  Sets name that reference style mechanisms.
  `void`
  `setX​(Size x)`
  Sets the X coordinate of subtitle.
  `void`
  `setY​(Size y)`
  Sets the Y coordinate of subtitle.
  `String`
  `toString()`
  Converts the value of the current Subtitle object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Subtitle

    public Subtitle()
    Initializes a new instance of the Subtitle class.

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Parameters:
      `parent` - the new parent

  - ### clone

    public Subtitle clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IContentElement`
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current Subtitle object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getStyle

    public String getStyle()
    Gets name that reference style mechanisms.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(String style)
    Sets name that reference style mechanisms.
    Parameters:
      `style` - the new style

  - ### getX

    public Size getX()
    Gets the X coordinate of subtitle.
    Returns:
      the x

  - ### setX

    public void setX​(Size x)
    Sets the X coordinate of subtitle.
    Parameters:
      `x` - the new x

  - ### getY

    public Size getY()
    Gets the Y coordinate of subtitle.
    Returns:
      the y

  - ### setY

    public void setY​(Size y)
    Sets the Y coordinate of subtitle.
    Parameters:
      `y` - the new y

  - ### getCellRange

    public String getCellRange()
    Gets a list of ranges of cells.
    Returns:
      the cell range

  - ### setCellRange

    public void setCellRange​(String cellRange)
    Sets a list of ranges of cells.
    Parameters:
      `cellRange` - the new cell range

  - ### getParagraph

    public Paragraph getParagraph()
    Gets the paragraph.
    Returns:
      the paragraph

  - ### setParagraph

    public void setParagraph​(Paragraph paragraph)
    Sets the paragraph.
    Parameters:
      `paragraph` - the new paragraph